--- title: "getRouteTableList" slug: "networking-vpc-routetable-getroutetablelist" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-routetable-getroutetablelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getRouteTableList Available in VPC Get the list of route tables based on the conditions the user specifies. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/getRouteTableList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to query the route table list - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `routeTableNoList.N` | List[String] | Optional | Query with the route table number list.`routeTableNo` can be obtained through [getRouteTableList](/docs/en/networking-vpc-routetable-getroutetablelist).Example: routeTableNoList.1=1234&routeTableNoList.2=2345 | | `routeTableName` | String | Optional | Query with the route table name. | | `supportedSubnetTypeCode` | String | Optional | Query with the subnet type supported by the route table. - `PUBLIC` \| `PRIVATE` - `PUBLIC`: public subnet - `PRIVATE`: private subnet | | `vpcNo` | String | Optional | Query with the VPC number.See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `pageNo` | Integer | Optional | Page numbers in paged results - Page the result values using `pageNo` and `pageSize`. | | `pageSize` | Integer | Conditional | Number of results to display on a page - Required when entering `pageNo` - Page the result values using `pageNo` and `pageSize`. | | `sortedBy` | String | Optional | Criteria to sort results by when querying the list of route tables - `routeTableName` | | `sortingOrder ` | String | Optional | Sort order when using `sortedBy` - `ASC` (default) \| `DESC` - `ASC`: ascending order - `DESC`: descending order | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/getRouteTableList ?regionCode=KR &routeTableNoList.1=***38 &routeTableName=test-table &supportedSubnetTypeCode=PUBLIC &vpcNo=3804' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [RouteTableList](/docs/en/common-vapidatatype-routetablelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 43623734-4270-463f-a269-a624cdef9154 0 success 1 ***38 test-*** KR **04 PUBLIC Public false RUN run ```